Bug 23233 - KDE should ignore .desktop files it can't read
Summary: KDE should ignore .desktop files it can't read
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdelibs   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard: Florence Gold
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-03 16:10 UTC by Tim Waugh
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-03 16:10:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2001-01-03 16:10:53 UTC
In my .xsession-errors I have:

kio (KService*): WARNING: The desktop entry file System/setuptool.desktop
has no Name

and similarly for control-panel, locale_config, timetool, conf, netcfg and
lprngtool.

These are presumably for root only, and so are set readable by root only.
KDE should silently ignore them, IMHO.

Comment 1 Bernhard Rosenkraenzer 2001-01-10 20:50:45 UTC
I've fixed this in the KDE CVS tree; it will be fixed as soon as we update.
Unfortunately, the current CVS version is somewhat buggy, so this may be a
couple of days until that happens.


Note You need to log in before you can comment on or make changes to this bug.